Name:			redhat-support-plugin-rhev
Version:		3.5.0
Release:		1%{?release_suffix}%{?dist}
Summary:		Plugin for Red Hat Enterprise Virtualization

Group:			Development/Libraries
License:		ASL 2.0
URL:			http://www.ovirt.org
BuildArch:		noarch
Source0: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.5.0-scm-sources.zip
Source1: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml.sha1
Source2: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml
Source3: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml.md5
Source4: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-war-3.5.0.pom.sha1
Source5: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-war-3.5.0.pom.md5
Source6: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-war-3.5.0.war.sha1
Source7: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-war-3.5.0.war
Source8: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-war-3.5.0.war.md5
Source9: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-war-3.5.0.pom
Source10: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml.sha1
Source11: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml
Source12: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml.md5
Source13: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-ear-3.5.0.pom
Source14: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-ear-3.5.0.ear
Source15: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-ear-3.5.0.pom.sha1
Source16: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-ear-3.5.0.ear.sha1
Source17: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-ear-3.5.0.pom.md5
Source18: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-ear-3.5.0.ear.md5
Source19: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml.sha1
Source20: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml
Source21: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/maven-metadata.xml.md5
Source22: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.5.0.pom.md5
Source23: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.5.0.pom
Source24: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-3.5.0.pom.sha1

Requires: rhevm >= 3.5.0
Requires: usermode

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Red Hat Support Plugin is a support 
plugin for Red Hat Enterprise Virtualizaton

%prep
# We build RHEV-M in the MEAD environment, and that means that the
# sources are archived with root based on repository name

%setup -q -T -b 0 -n redhat-support-plugin-rhev

%build

%install
rm -rf %{buildroot}

# ovirt-engine owns the following folders, but we need them for later steps
install -d %{buildroot}/usr/share/ovirt-engine/
install -d %{buildroot}/usr/share/ovirt-engine/dbscripts/
install -d %{buildroot}/usr/share/ovirt-engine/ui-plugins/
install -d %{buildroot}/etc/ovirt-engine/
install -d %{buildroot}/etc/ovirt-engine/redhatsupportplugin-config/

# We need the following directory to deploy the ear file
install -d %{buildroot}/etc/ovirt-engine/engine.conf.d/

# We need the following directories for the ovirt-sosreport wrapper
install -d %{buildroot}/etc/security/console.apps
install -d %{buildroot}/etc/pam.d
install -d %{buildroot}/usr/bin
install -d %{buildroot}/usr/sbin

# We need the following directories for httpd config
install -d %{buildroot}/etc/httpd/conf.d

# We need the following directory for GSS DB wrapper script
install -d %{buildroot}/var/lib/ovirt-engine/db-manual

echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
mkdir %{buildroot}/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear
unzip -d %{buildroot}/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear %{SOURCE14}
find %{buildroot}/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear -type d -exec chmod 755 {} +
#install -D %{SOURCE14} %{buildroot}/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear 
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"
echo "Skipping artifact"

pushd %{buildroot}/usr/share/ovirt-engine
ln -s redhat-support-plugin-rhev-ear-3.5.0.ear redhat-support-plugin-rhev.ear
popd

# Copy these two files that are required for the plugin
cp -r ui-plugins/* %{buildroot}/usr/share/ovirt-engine/ui-plugins/
install -m 644 config/redhatsupportplugin.conf %{buildroot}/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear/
install -m 644 config/logging.properties %{buildroot}/etc/ovirt-engine/redhatsupportplugin-config/

#Add version to config file 
printf "\nversion=com.redhat.gss-redhat-support-plugin-rhev-3.5.0-1" >> %{buildroot}/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear/redhatsupportplugin.conf

# Copy file to deploy ear file
install -m 644 deploy/50-redhat-support-plugin.conf %{buildroot}/etc/ovirt-engine/engine.conf.d/

# Install ovirt-sosreport wrapper.
install -m 755 utils/ovirt-sosreport-wrapper %{buildroot}/usr/sbin/ovirt-sosreport-wrapper
install -m 644 utils/ovirt-sosreport.pam %{buildroot}/etc/pam.d/ovirt-sosreport
install -m 644 utils/ovirt-sosreport.console-apps %{buildroot}/etc/security/console.apps/ovirt-sosreport

ln -s /usr/bin/consolehelper %{buildroot}/usr/bin/ovirt-sosreport

# Install httpd config
install -m 644 httpd-conf/redhat-support-plugin-rhev-proxy.conf %{buildroot}/etc/httpd/conf.d

# Install GSS DB wrapper script
install -m 755 packaging/bin/engine-psql.sh %{buildroot}/usr/share/ovirt-engine/dbscripts/

%files
%defattr(-,ovirt,ovirt,-)
/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear/*
/usr/share/ovirt-engine/redhat-support-plugin-rhev.ear
%config /etc/ovirt-engine/engine.conf.d/50-redhat-support-plugin.conf
%dir /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev
/usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev/start.html
/usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev.json
/usr/share/ovirt-engine/redhat-support-plugin-rhev-ear-3.5.0.ear/redhatsupportplugin.conf
/etc/ovirt-engine/redhatsupportplugin-config/logging.properties
%defattr(-,root,root,-)
%config(noreplace) /etc/pam.d/ovirt-sosreport
%config(noreplace) /etc/security/console.apps/ovirt-sosreport
/usr/bin/ovirt-sosreport
/usr/sbin/ovirt-sosreport-wrapper
%config(noreplace) /etc/httpd/conf.d/redhat-support-plugin-rhev-proxy.conf
/usr/share/ovirt-engine/dbscripts/engine-psql.sh
%doc LICENSE

%posttrans
# If this is an upgrade, make sure application.xml modifications are removed.
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
    if grep -q 'START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
    	sed  -i '/<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/,/<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/d' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	fi
fi

%changelog

* Thu Sep 18 2014 Spenser Shumaker <sshumake@redhat.com> - 3.5.0-0
- Resolves: rhbz#1098432
- Resolves: rhbz#1098438
- Resolves: rhbz#1098440
- Resolves: rhbz#1098443
- Resolves: rhbz#1098447
- Resolves: rhbz#1116175
- Resolves: rhbz#1113694
- Resolves: rhbz#1124613

* Thu Sep 18 2014 Spenser Shumaker <sshumake@redhat.com> - 3.5.0-1
- Resolves: rhbz#1098447
- Resolves: rhbz#1098440
- Resolves: rhbz#1116175

